GNU bug report logs - #34398
[PATCH] gnu: Add python-backports-shutil-which.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Vagrant Cascadian <vagrant@HIDDEN>; Keywords: patch; dated Sat, 9 Feb 2019 06:29:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 34398 <at> debbugs.gnu.org:


Received: (at 34398) by debbugs.gnu.org; 12 Feb 2019 07:02:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 12 02:02:20 2019
Received: from localhost ([127.0.0.1]:44351 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gtS5D-0006MH-UI
	for submit <at> debbugs.gnu.org; Tue, 12 Feb 2019 02:02:20 -0500
Received: from cascadia.aikidev.net ([173.255.214.101]:37886)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vagrant@HIDDEN>) id 1gtS5B-0006M0-Ax
 for 34398 <at> debbugs.gnu.org; Tue, 12 Feb 2019 02:02:18 -0500
Received: from localhost (unknown [IPv6:2600:3c01:e000:21:21:21:0:100e])
 (Authenticated sender: vagrant@HIDDEN)
 by cascadia.aikidev.net (Postfix) with ESMTPSA id 2A1A21AA27;
 Mon, 11 Feb 2019 23:02:10 -0800 (PST)
From: Vagrant Cascadian <vagrant@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: [bug#34398] [PATCH] gnu: Add python-backports-shutil-which.
In-Reply-To: <875ztq3rnr.fsf@ponder>
References: <87k1i9v5ka.fsf@ponder> <20190211105421.3b77ef6b@HIDDEN>
 <875ztq3rnr.fsf@ponder>
Date: Mon, 11 Feb 2019 23:02:04 -0800
Message-ID: <87tvh9a3rn.fsf@ponder>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34398
Cc: 34398 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

On 2019-02-11, Vagrant Cascadian wrote:
> On 2019-02-11, Danny Milosavljevic wrote:
>> On Fri, 08 Feb 2019 22:28:37 -0800
>> Vagrant Cascadian <vagrant@HIDDEN> wrote:
>>> +    (synopsis
>>> +     "Backport of shutil.which from Python 3.3")
>>> +    (description
>>> +     "Python-backports-shutil-which provides a backport of shutil.which from
>>> +Python 3.3")
>>
>> Why do we need this package?  We have Python 3.7.0.
>> Doesn't that contain the same module already?
>
> I found it odd as well, but I couldn't figure out how to get the newer
> versions of python-trezor-agent to build without
> python-backports-shutil-which without patching python-trezor-agent.
>
> I didn't spend too much effort looking into patching it; I'll take a
> little deeper look.

I don't see a need for this package anymore; I submitted an update for
python-trezor-agent/trezor-agent that fixes the issue without using
backports.shutil_which.

A slightly deeper look into: Lacking backports.shutil_which caused
"trezor-agent" to fail during tests as it tried to download the missing
library, but there was no mention of shutil_which at all in any of it's
code... turned out "python-trezor-agent" had an overly strict requires
on the backported.shutil_which, even though "python-trezor-agent"
supports the shutil_which included in newer python versions. Simply
removing the backports.shutil_which from "python-trezor-agent" requires
fixed the issue.

Thanks!

live well,
  vagrant

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQRlgHNhO/zFx+LkXUXcUY/If5cWqgUCXGJvbQAKCRDcUY/If5cW
qm3wAPwMuO4nwcCzitgl4m4eBGQs8Iql3ZVdVSXhPiG/q+CUewD+IB3Fv1NUosQS
yE0XR8PAbcTR9Pol0tDeqGrMJ7KICQs=
=MpNM
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#34398; Package guix-patches. Full text available.

Message received at 34398 <at> debbugs.gnu.org:


Received: (at 34398) by debbugs.gnu.org; 11 Feb 2019 22:08:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 11 17:08:07 2019
Received: from localhost ([127.0.0.1]:44196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gtJkF-000760-NR
	for submit <at> debbugs.gnu.org; Mon, 11 Feb 2019 17:08:07 -0500
Received: from cascadia.aikidev.net ([173.255.214.101]:37476)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vagrant@HIDDEN>) id 1gtJkE-00075D-9V
 for 34398 <at> debbugs.gnu.org; Mon, 11 Feb 2019 17:08:06 -0500
Received: from localhost (unknown [IPv6:2600:3c01:e000:21:21:21:0:100e])
 (Authenticated sender: vagrant@HIDDEN)
 by cascadia.aikidev.net (Postfix) with ESMTPSA id A71D71AA27;
 Mon, 11 Feb 2019 14:07:57 -0800 (PST)
From: Vagrant Cascadian <vagrant@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: [bug#34398] [PATCH] gnu: Add python-backports-shutil-which.
In-Reply-To: <20190211105421.3b77ef6b@HIDDEN>
References: <87k1i9v5ka.fsf@ponder> <20190211105421.3b77ef6b@HIDDEN>
Date: Mon, 11 Feb 2019 14:07:52 -0800
Message-ID: <875ztq3rnr.fsf@ponder>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34398
Cc: 34398 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

On 2019-02-11, Danny Milosavljevic wrote:
> On Fri, 08 Feb 2019 22:28:37 -0800
> Vagrant Cascadian <vagrant@HIDDEN> wrote:
>
>> +    (synopsis
>> +     "Backport of shutil.which from Python 3.3")
>> +    (description
>> +     "Python-backports-shutil-which provides a backport of shutil.which from
>> +Python 3.3")
>
> Why do we need this package?  We have Python 3.7.0.
> Doesn't that contain the same module already?

I found it odd as well, but I couldn't figure out how to get the newer
versions of python-trezor-agent to build without
python-backports-shutil-which without patching python-trezor-agent.

I didn't spend too much effort looking into patching it; I'll take a
little deeper look.

Thanks for all the reviews!


live well,
  vagrant

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQRlgHNhO/zFx+LkXUXcUY/If5cWqgUCXGHyOQAKCRDcUY/If5cW
qsAaAP40cjyGT/uWoXhrllb4v3zPdIJL/n15rvaq2ddYkRYpjgEAuIeHHIw4nnvN
bD3aUuJpYwtpczVaybNp3AnPWXiSvwY=
=6FAH
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#34398; Package guix-patches. Full text available.

Message received at 34398 <at> debbugs.gnu.org:


Received: (at 34398) by debbugs.gnu.org; 11 Feb 2019 09:54:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 11 04:54:29 2019
Received: from localhost ([127.0.0.1]:43133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gt8IG-0002sB-BL
	for submit <at> debbugs.gnu.org; Mon, 11 Feb 2019 04:54:29 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:57274)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gt8IE-0002s3-I7
 for 34398 <at> debbugs.gnu.org; Mon, 11 Feb 2019 04:54:26 -0500
Received: from localhost (77.116.204.134.wireless.dyn.drei.com
 [77.116.204.134])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 66C7233616DC;
 Mon, 11 Feb 2019 10:54:25 +0100 (CET)
Date: Mon, 11 Feb 2019 10:54:21 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Vagrant Cascadian <vagrant@HIDDEN>
Subject: Re: [bug#34398] [PATCH] gnu: Add python-backports-shutil-which.
Message-ID: <20190211105421.3b77ef6b@HIDDEN>
In-Reply-To: <87k1i9v5ka.fsf@ponder>
References: <87k1i9v5ka.fsf@ponder>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/MuJZrQMrE0WWnC2aReP2S9h"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34398
Cc: 34398 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/MuJZrQMrE0WWnC2aReP2S9h
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi Vagrant,

On Fri, 08 Feb 2019 22:28:37 -0800
Vagrant Cascadian <vagrant@HIDDEN> wrote:

> +    (synopsis
> +     "Backport of shutil.which from Python 3.3")
> +    (description
> +     "Python-backports-shutil-which provides a backport of shutil.which =
from
> +Python 3.3")

Why do we need this package?  We have Python 3.7.0.
Doesn't that contain the same module already?

--Sig_/MuJZrQMrE0WWnC2aReP2S9h
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlxhRk0ACgkQ5xo1VCww
uqWF3Qf/VXlVxWJNHGrFNFnitD98ObuZHbHZx5JyyqjX93xGl8Mz1im5Y+LMThjQ
R0LE7Qe/5qqg1XxmZ67EnPIIsRrpqVIH51kOWiW5kW6dqHMAkbOuQTR1TFhFiCD7
Kj0zpEiym0TtMWDO6zGTHy+BJHySZyWNWw9L7q3BmjudnFSbldEz7OtMV36was9+
46ccaMzL4Q75UfCVSklZYHlsbrlr+xWXkD+G58rbKm6fGfunhWq0ghOHaleAq4Lm
I1BkbuSyRMi9CYsuLjL5uAwR2hJGqp/L5m84hB+3TOkWWkml1Uqfr0L+1mDxmygc
lfc6XSJ+OQRxtu5pSPDLllzMKk0TGA==
=J5eV
-----END PGP SIGNATURE-----

--Sig_/MuJZrQMrE0WWnC2aReP2S9h--




Information forwarded to guix-patches@HIDDEN:
bug#34398; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Feb 2019 06:28:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 09 01:28:58 2019
Received: from localhost ([127.0.0.1]:40381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gsM8I-0005no-CZ
	for submit <at> debbugs.gnu.org; Sat, 09 Feb 2019 01:28:58 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52200)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vagrant@HIDDEN>) id 1gsM8G-0005nO-Sb
 for submit <at> debbugs.gnu.org; Sat, 09 Feb 2019 01:28:57 -0500
Received: from lists.gnu.org ([209.51.188.17]:54383)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <vagrant@HIDDEN>) id 1gsM8B-0005d5-OB
 for submit <at> debbugs.gnu.org; Sat, 09 Feb 2019 01:28:51 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38325)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vagrant@HIDDEN>) id 1gsM8A-00082x-Pb
 for guix-patches@HIDDEN; Sat, 09 Feb 2019 01:28:51 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vagrant@HIDDEN>) id 1gsM89-0005b3-TT
 for guix-patches@HIDDEN; Sat, 09 Feb 2019 01:28:50 -0500
Received: from cascadia.aikidev.net ([173.255.214.101]:52768)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vagrant@HIDDEN>) id 1gsM86-0005YC-5w
 for guix-patches@HIDDEN; Sat, 09 Feb 2019 01:28:47 -0500
Received: from localhost (unknown [IPv6:2600:3c01:e000:21:21:21:0:100e])
 (Authenticated sender: vagrant@HIDDEN)
 by cascadia.aikidev.net (Postfix) with ESMTPSA id 54F071AAC0
 for <guix-patches@HIDDEN>; Fri,  8 Feb 2019 22:28:43 -0800 (PST)
From: Vagrant Cascadian <vagrant@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add python-backports-shutil-which.
Date: Fri, 08 Feb 2019 22:28:37 -0800
Message-ID: <87k1i9v5ka.fsf@ponder>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 173.255.214.101
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


* gnu/packages/python-xyz.scm
  (python-backports-shutil-which): New variable.
=2D--
 gnu/packages/python-xyz.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 086eb3af26..143d9c2ffc 100644
=2D-- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -317,6 +317,31 @@ etc. ")
 (define-public python2-babel
   (package-with-python2 python-babel))
=20
+(define-public python-backports-shutil-which
+  (package
+    (name "python-backports-shutil-which")
+    (version "3.5.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "backports.shutil_which" version))
+       (sha256
+        (base32
+         "0cy16w2dpv110afncag8x1zhzy3yz0iypny4iagdiyp4rdkzafgy"))))
+    (build-system python-build-system)
+    (home-page
+     "https://github.com/minrk/backports.shutil_which")
+    (synopsis
+     "Backport of shutil.which from Python 3.3")
+    (description
+     "Python-backports-shutil-which provides a backport of shutil.which fr=
om
+Python 3.3")
+    ;; The backported code is "psfl" license, setup.py is under "MIT" lice=
nse.
+    (license
+     (list license:psfl
+           (license:non-copyleft
+            "https://raw.githubusercontent.com/minrk/backports.shutil_whic=
h/master/LICENSE")))))
+
 (define-public python2-backport-ssl-match-hostname
   (package
     (name "python2-backport-ssl-match-hostname")
=2D-=20
2.20.1


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQRlgHNhO/zFx+LkXUXcUY/If5cWqgUCXF5zFgAKCRDcUY/If5cW
qjD+AQD6kIqvdWioiN+BQptUseu2QGTOgdMPbL6t24puKSPHrAD8ChICaZTsM4W+
312WRBEXi7QzMoeKh2QDUqyGFwLTJwU=
=O/9f
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Vagrant Cascadian <vagrant@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#34398; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.